GWT 2.7.0

## com.google.gwt.text.shared
Interface SafeHtmlRenderer<T>

Type Parameters:
  `T` - the type to render

All Known Implementing Classes:
  AbstractSafeHtmlRenderer, ImageResourceRenderer, SimpleSafeHtmlRenderer

    public interface SafeHtmlRenderer<T>

An object that can render other objects of a particular type into safe HTML form. Allows decoupling that is useful for a dependency-injection architecture.

Method Summary
`SafeHtml` | `render(T object)` Renders `object` as safe HTML.
`void` | `render(T object, SafeHtmlBuilder builder)` Renders `object` as safe HTML, appended directly to `builder`.

Method Detail

### render

    SafeHtml render(T object)

  Renders `object` as safe HTML.

### render

    void render(T object,
                SafeHtmlBuilder builder)

  Renders `object` as safe HTML, appended directly to `builder`.

GWT 2.7.0